UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
uhd::msg::_msg Class Reference

Internal message object (called by UHD_MSG macro) More...

`#include <msg.hpp>`

## Public Member Functions
| _msg (const type_t type)
| ~_msg (void)
std::ostream & | operator() (void)

## Detailed Description

Internal message object (called by UHD_MSG macro)

## Constructor & Destructor Documentation

uhd::msg::_msg::_msg | ( | const type_t | type | ) |

uhd::msg::_msg::~_msg | ( | void |  | ) |

## Member Function Documentation

std::ostream& uhd::msg::_msg::operator() | ( | void |  | ) |

The documentation for this class was generated from the following file:

- include/uhd/utils/msg.hpp